package jp.sourceforge.cfneo.at4ie.api.impl.ie.invoker;

import jp.sourceforge.cfneo.at4ie.api.AT4IEAssertException;
import jp.sourceforge.cfneo.at4ie.api.AT4IERuntimeException;
import jp.sourceforge.cfneo.at4ie.api.Context;
import jp.sourceforge.cfneo.at4ie.api.Invoker;
import jp.sourceforge.cfneo.at4ie.api.TargetBrowser;
import jp.sourceforge.cfneo.at4ie.api.TestCase;

/**
 * command=pauseのInvoker。
 * ミリ秒で指定した時間だけ待機する為のInvoker。
 * @author imaitakafumi
 *
 */
public class PauseInvoker extends Invoker {

	/**
	 * コンストラクタ。
	 * @param context
	 * @param browser
	 */
	public PauseInvoker(Context context, TargetBrowser browser) {
		super(context, browser);
	}

	@Override
	public void invoke(TestCase testCase) throws AT4IEAssertException {
		try {
			Thread.sleep(Integer.valueOf(testCase.getTarget()));
		} catch (InterruptedException e) {
			throw new AT4IERuntimeException(e);
		}
	}

}
